Loading...
Searching...
No Matches
casacore::FITSQualityImage Class Reference
images package (libcasa_images) » Images_module

More...

`#include <FITSQualityImage.h>`

## Public Member Functions

| FITSQualityImage (const String &name)
| Construct a FITSQualityImage from the FITS file name and extensions specified in the input.
| FITSQualityImage (const String &name, uInt whichDataHDU, uInt whichErrorHDU)
| Construct a FITSQualityImage from the disk FITS file name and extensions.
| FITSQualityImage (const FITSQualityImage &other)
| Copy constructor (reference semantics).
| ~FITSQualityImage ()
| Destructor.
FITSQualityImage & | operator= (const FITSQualityImage &other)
| Assignment (reference semantics).
virtual ImageInterface< Float > * | cloneII () const
| Make a copy of the object with new (reference semantics).
FITSImage * | fitsData () const
| Get the FITS data.
FITSErrorImage * | fitsError () const
| Get the FITS error.
virtual String | imageType () const
| Get the image type (returns FITSImage).
virtual void | resize (const TiledShape &newShape)
| Function which changes the shape of the FITSQualityImage.
virtual Bool | isMasked () const
| Has the object really a mask?
virtual Bool | hasPixelMask () const
| FITSQualityImage always has a pixel mask so returns True.
virtual const Lattice< Bool > & | pixelMask () const
| Get access to the pixelmask.
virtual Lattice< Bool > & | pixelMask ()
virtual const LatticeRegion * | getRegionPtr () const
| Get the region used.
virtual Bool | doGetSlice (Array< Float > &buffer, const Slicer &theSlice)
| Do the actual get of the data.
virtual void | doPutSlice (const Array< Float > &sourceBuffer, const IPosition &where, const IPosition &stride)
| The FITSQualityImage is not writable, so this throws an exception.
virtual Bool | doGetMaskSlice (Array< Bool > &buffer, const Slicer &section)
| Do the actual get of the mask data.
virtual Bool | isPaged () const
| The lattice is paged to disk.
virtual Bool | isPersistent () const
| The lattice is persistent.
virtual Bool | isWritable () const
| The FITSImage is not writable.
virtual String | name (Bool stripPath=False) const
| Returns the name of the disk file.
virtual IPosition | shape () const
| Return the shape of the FITSImage.
virtual uInt | advisedMaxPixels () const
| Returns the maximum recommended number of pixels for a cursor.
virtual IPosition | doNiceCursorShape (uInt maxPixels) const
| Help the user pick a cursor for most efficient access if they only want pixel values and don't care about the order or dimension of the cursor.
virtual Bool | ok () const
| Check class invariants.
virtual void | tempClose ()
| Temporarily close the image.
virtual void | tempCloseData ()
virtual void | tempCloseError ()
virtual void | reopen ()
| Reopen a temporarily closed image.
DataType | dataType () const
| Return the (internal) data type (TpFloat or TpShort).
uInt | whichDataHDU () const
| Return the data HDU number.
uInt | whichErrorHDU () const
| Return the error HDU number.
virtual uInt | maximumCacheSize () const
| Maximum size - not necessarily all used.
virtual void | setMaximumCacheSize (uInt howManyPixels)
| Set the maximum (allowed) cache size as indicated.
virtual void | setCacheSizeFromPath (const IPosition &sliceShape, const IPosition &windowStart, const IPosition &windowLength, const IPosition &axisPath)
| Set the cache size as to "fit" the indicated path.
virtual void | setCacheSizeInTiles (uInt howManyTiles)
| Set the actual cache size for this Array to be be big enough for the indicated number of tiles.
virtual void | clearCache ()
| Clears and frees up the caches, but the maximum allowed cache size is unchanged from when setCacheSize was called.
virtual void | showCacheStatistics (ostream &os) const
| Report on cache success.
Public Member Functions inherited from casacore::ImageInterface< Float >
| ImageInterface ()
virtual | ~ImageInterface ()
virtual MaskedLattice< Float > * | cloneML () const
| Make a copy of the derived object (reference semantics).
virtual Bool | setUnits (const Unit &newUnits)
| Function which get and set the units associated with the image pixels (i.e.
virtual const Unit & | units () const
virtual Bool | setCoordinateInfo (const CoordinateSystem &coords)
| Functions to set or replace the coordinate information in the Image Returns False on failure, e.g.
const CoordinateSystem & | coordinates () const
virtual LELCoordinates | lelCoordinates () const
| Function to get a LELCoordinate object containing the coordinates.
LoggerHolder & | logger ()
| Get access to the LoggerHolder.
LogIO & | logSink ()
| Allow messages to be logged to this ImageInterface.
void | appendLog (const LoggerHolder &other)
| Add the messages from the other image logger to this one.
const TableRecord & | miscInfo () const
| Often we have miscellaneous information we want to attach to an image.
virtual Bool | setMiscInfo (const RecordInterface &newInfo)
const ImageInfo & | imageInfo () const
| The ImageInfo object contains some miscellaneous information about the image which unlike that stored in MiscInfo, has a standard list of things, such as the restoring beam.
ImageInfo & | rwImageInfo ()
| Get non-const access to the ImageInfo.
virtual Bool | setImageInfo (const ImageInfo &info)
virtual ImageAttrHandler & | attrHandler (Bool createHandler=False)
| Get access to the attribute handler.
ImageAttrHandler & | roAttrHandler () const
Bool | canDefineRegion () const
| Can the image handle region definition?
virtual ImageRegion | makeMask (const String &name, Bool defineAsRegion=True, Bool setAsDefaultMask=True, Bool initialize=False, Bool value=True)
| Make a mask which is suitable for the type of image.
virtual void | defineRegion (const String &name, const ImageRegion &region, RegionHandler::GroupType, Bool overwrite=False)
| Define a region/mask belonging to the image.
virtual Bool | hasRegion (const String &regionName, RegionHandler::GroupType=RegionHandler::Any) const
| Does the image have a region with the given name?
virtual ImageRegion * | getImageRegionPtr (const String &name, RegionHandler::GroupType=RegionHandler::Any, Bool throwIfUnknown=True) const
| Get a region/mask belonging to the image from the given group (which can be Any).
virtual void | renameRegion (const String &newName, const String &oldName, RegionHandler::GroupType=RegionHandler::Any, Bool overwrite=False)
| Rename a region.
virtual void | removeRegion (const String &name, RegionHandler::GroupType=RegionHandler::Any, Bool throwIfUnknown=True)
| Remove a region/mask belonging to the image from the given group (which can be Any).
virtual Vector< String > | regionNames (RegionHandler::GroupType=RegionHandler::Any) const
| Get the names of all regions/masks.
virtual void | useMask (MaskSpecifier=MaskSpecifier())
| Use the mask as specified.
virtual void | setDefaultMask (const String &regionName)
| Set the default pixelmask to the mask with the given name (which has to exist in the "masks" group).
virtual String | getDefaultMask () const
| Get the name of the default pixelmask.
ImageRegion | getRegion (const String &regionName, RegionHandler::GroupType=RegionHandler::Any) const
| Get a region belonging to the image.
String | makeUniqueRegionName (const String &rootName, uInt startNumber=1) const
| Make a unique region name from the given root name, thus make it such that the name is not already in use for a region or mask.
Bool | toRecord (String &error, RecordInterface &outRec)
| Save and restore an ImageInterface object to or from a state Record.
Bool | fromRecord (String &error, const RecordInterface &inRec)
Public Member Functions inherited from casacore::MaskedLattice< Float >
| MaskedLattice ()
| Default constructor.
virtual | ~MaskedLattice ()
| a virtual destructor is needed so that it will use the actual destructor in the derived class
virtual Lattice< Float > * | clone () const
| Make a copy of the derived object (reference semantics).
const LatticeRegion & | region () const
| Get the region used.
Bool | getMask (COWPtr< Array< Bool > > &buffer, Bool removeDegenerateAxes=False) const
| Get the mask or a slice from the mask.
Bool | getMaskSlice (COWPtr< Array< Bool > > &buffer, const Slicer &section, Bool removeDegenerateAxes=False) const
Public Member Functions inherited from casacore::Lattice< Float >
virtual | ~Lattice ()
| a virtual destructor is needed so that it will use the actual destructor in the derived class
Float | operator() (const IPosition &where) const
| Return the value of the single element located at the argument IPosition.
virtual Float | getAt (const IPosition &where) const
virtual void | putAt (const Float &value, const IPosition &where)
| Put the value of a single element.
Bool | get (COWPtr< Array< Float > > &buffer, Bool removeDegenerateAxes=False) const
| Functions which extract an Array of values from a Lattice.
Bool | getSlice (COWPtr< Array< Float > > &buffer, const Slicer &section, Bool removeDegenerateAxes=False) const
void | putSlice (const Array< Float > &sourceBuffer, const IPosition &where, const IPosition &stride)
| A function which places an Array of values within this instance of the Lattice at the location specified by the IPosition "where", incrementing by "stride".
void | put (const Array< Float > &sourceBuffer)
virtual void | set (const Float &value)
| Set all elements in the Lattice to the given value.
virtual void | apply (Float(*function)(Float))
| Replace every element, x, of the Lattice with the result of f(x).
void | operator+= (const Lattice< Float > &other)
| Add, subtract, multiple, or divide by another Lattice.
void | operator-= (const Lattice< Float > &other)
void | operator*= (const Lattice< Float > &other)
void | operator/= (const Lattice< Float > &other)
virtual void | copyData (const Lattice< Float > &from)
| Copy the data from the given lattice to this one.
virtual void | copyDataTo (Lattice< Float > &to) const
| Copy the data from this lattice to the given lattice.
virtual LatticeIterInterface< Float > * | makeIter (const LatticeNavigator &navigator, Bool useRef) const
| These functions are used by the LatticeIterator class to generate an iterator of the correct type for a specified Lattice.
Public Member Functions inherited from casacore::LatticeBase
virtual | ~LatticeBase ()
| A virtual destructor is needed so that it will use the actual destructor in the derived class.
virtual Bool | canReferenceArray () const
| Can the lattice data be referenced as an array section?
virtual void | save (const String &fileName) const
| Save the image in an AipsIO file with the given name.
virtual Bool | lock (FileLocker::LockType, uInt nattempts)
| It is strongly recommended to use class LatticeLocker to handle lattice locking.
virtual void | unlock ()
virtual Bool | hasLock (FileLocker::LockType) const
virtual void | resync ()
| Resynchronize the Lattice object with the lattice file.
virtual void | flush ()
| Flush the data (but do not unlock).
virtual uInt | ndim () const
| Return the number of axes in this Lattice.
virtual size_t | nelements () const
| Return the total number of elements in this Lattice.
size_t | size () const
Bool | conform (const LatticeBase &other) const
| Return a value of "True" if this instance of Lattice and 'other' have the same shape, otherwise returns a value of "False".
IPosition | niceCursorShape (uInt maxPixels) const
| Returns a recommended cursor shape for iterating through all the pixels in the Lattice.
IPosition | niceCursorShape () const

## Static Public Member Functions

static Bool | qualFITSInfo (String &error, TableRecord &dataExtMiscInfo, TableRecord &errorExtMiscInfo, const TableRecord &miscInfo)
| Given the misc-info of a CASA image (with quality-axis) the misc-info of the data sub-image and the error sub-image are produced.

## Private Member Functions

void | reopenIfNeeded () const
| Reopen the image if needed.
void | reopenDataIfNeeded ()
void | reopenErrorIfNeeded ()
void | getExtInfo ()
| Get the extension indices from an extension expression.
void | setup ()
| Setup the object (used by constructors).
Bool | checkInput ()
| Make sure the input is compatible.

## Private Attributes

String | name_p
String | fullname_p
FITSImage * | fitsdata_p
FITSErrorImage * | fitserror_p
Lattice< Bool > * | pPixelMask_p
TiledShape | shape_p
uInt | whichDataHDU_p
uInt | whichErrorHDU_p
uInt | whichMaskHDU_p
FITSErrorImage::ErrorType | errType_p
Bool | isClosed_p
Bool | isDataClosed_p
Bool | isErrorClosed_p

## Additional Inherited Members

Protected Member Functions inherited from casacore::ImageInterface< Float >
ImageInterface & | operator= (const ImageInterface &other)
| Assignment (copy semantics) is only useful for derived classes.
Bool | restoreImageInfo (const RecordInterface &rec)
| Restore the image info from the record.
void | setLogMember (const LoggerHolder &logger)
| Set the image logger variable.
void | setImageInfoMember (const ImageInfo &imageInfo)
| Set the image info variable.
void | setCoordsMember (const CoordinateSystem &coords)
| Set the coordinate system variable.
void | setUnitMember (const Unit &unit)
| Set the unit variable.
void | setMiscInfoMember (const RecordInterface &rec)
| Set the miscinfo variable.
RegionHandler * | getRegionHandler ()
| Get access to the region handler.
Protected Member Functions inherited from casacore::MaskedLattice< Float >
MaskedLattice< Float > & | operator= (const MaskedLattice< Float > &)
| Assignment can only be used by derived classes.
Protected Member Functions inherited from casacore::Lattice< Float >
void | handleMathTo (Lattice< Bool > &, int) const
| Lattice ()
| Define default constructor to satisfy compiler.
virtual void | handleMath (const Lattice< Float > &from, int oper)
| Handle the Math operators (+=, -=, *=, /=).
Lattice< Float > & | operator= (const Lattice< Float > &)
Protected Member Functions inherited from casacore::LatticeBase
| LatticeBase ()
| Define default constructor to be used by derived classes.
| LatticeBase (const LatticeBase &)
| Copy constructor and assignment can only be used by derived classes.
LatticeBase & | operator= (const LatticeBase &)
void | throwBoolMath () const
| Throw an exception for arithmetic on a Bool Lattice.

## Detailed Description

Class providing native access to FITS Quality Images.

### Intended use:

Public interface

### Review Status

Test programs:
  tFITSQualityImage

### Prerequisite

- FITSImage
- FITSErrorImage

### Etymology

The class provides access to a quality image via two extensions in the corresponding FITS file.

### Synopsis

A FITSQualityImage provides native access to FITS images by accessing the data and the error values via the classes FITSImage and FITSErrorImage, respectively. A QualityCoordinate connects these two layers. The FITSQualityImage is read only.

### Example

FITSQualityImage fitsQIStat("im.fits", 1, 2);
LogIO logger(or);
ImageStatistics<Float> stats(fitsQIStat, logger);
Bool ok = stats.display();
casacore::FITSQualityImage::ok
virtual Bool ok() const
Check class invariants.
casacore::FITSQualityImage::FITSQualityImage
FITSQualityImage(const String &name)
Construct a FITSQualityImage from the FITS file name and extensions specified in the input.
casacore::ImageInterface< Float >::logger
LoggerHolder & logger()
Definition ImageInterface.h:202
casacore::ImageStatistics
Definition ImageStatistics.h:98
casacore::LogIO
Definition LogIO.h:165
casacore::Bool
bool Bool
Define the standard types used by Casacore.
Definition aipstype.h:40

### Motivation

This provides access to FITS Quality Images

Definition at line 88 of file FITSQualityImage.h.

## Constructor & Destructor Documentation

## FITSQualityImage() [1/3]

casacore::FITSQualityImage::FITSQualityImage | ( | const String & | name | ) |

explicit

Construct a FITSQualityImage from the FITS file name and extensions specified in the input.

References name().

Referenced by FITSQualityImage(), and operator=().

## FITSQualityImage() [2/3]

casacore::FITSQualityImage::FITSQualityImage | ( | const String & | name,
|  | uInt | whichDataHDU,
|  | uInt | whichErrorHDU )

explicit

Construct a FITSQualityImage from the disk FITS file name and extensions.

References name(), whichDataHDU(), and whichErrorHDU().

## FITSQualityImage() [3/3]

casacore::FITSQualityImage::FITSQualityImage | ( | const FITSQualityImage & | other | ) |

Copy constructor (reference semantics).

References FITSQualityImage().

## ~FITSQualityImage()

casacore::FITSQualityImage::~FITSQualityImage | ( |  | ) |

Destructor.

## Member Function Documentation

## advisedMaxPixels()

virtual uInt casacore::FITSQualityImage::advisedMaxPixels | ( |  | ) | const

virtual

Returns the maximum recommended number of pixels for a cursor.

This is the number of pixels in a tile.

Reimplemented from casacore::Lattice< Float >.

## checkInput()

Bool casacore::FITSQualityImage::checkInput | ( |  | ) |

private

Make sure the input is compatible.

## clearCache()

virtual void casacore::FITSQualityImage::clearCache | ( |  | ) |

virtual

Clears and frees up the caches, but the maximum allowed cache size is unchanged from when setCacheSize was called.

Reimplemented from casacore::LatticeBase.

## cloneII()

virtual ImageInterface< Float > * casacore::FITSQualityImage::cloneII | ( |  | ) | const

virtual

Make a copy of the object with new (reference semantics).

Implements casacore::ImageInterface< Float >.

References casacore::ImageInterface< Float >::ImageInterface().

## dataType()

DataType casacore::FITSQualityImage::dataType | ( |  | ) | const

virtual

Return the (internal) data type (TpFloat or TpShort).

Reimplemented from casacore::Lattice< Float >.

## doGetMaskSlice()

virtual Bool casacore::FITSQualityImage::doGetMaskSlice | ( | Array< Bool > & | buffer,
|  | const Slicer & | section )

virtual

Do the actual get of the mask data.

The return value is always False, thus the buffer does not reference another array.

Reimplemented from casacore::MaskedLattice< Float >.

## doGetSlice()

virtual Bool casacore::FITSQualityImage::doGetSlice | ( | Array< Float > & | buffer,
|  | const Slicer & | theSlice )

virtual

Do the actual get of the data.

Returns False as the data do not reference another Array

Implements casacore::Lattice< Float >.

## doNiceCursorShape()

virtual IPosition casacore::FITSQualityImage::doNiceCursorShape | ( | uInt | maxPixels | ) | const

virtual

Help the user pick a cursor for most efficient access if they only want pixel values and don't care about the order or dimension of the cursor.

Reimplemented from casacore::LatticeBase.

## doPutSlice()

virtual void casacore::FITSQualityImage::doPutSlice | ( | const Array< Float > & | sourceBuffer,
|  | const IPosition & | where,
|  | const IPosition & | stride )

virtual

The FITSQualityImage is not writable, so this throws an exception.

Implements casacore::Lattice< Float >.

## fitsData()

FITSImage * casacore::FITSQualityImage::fitsData | ( |  | ) | const

inline

Get the FITS data.

Definition at line 120 of file FITSQualityImage.h.

References fitsdata_p.

## fitsError()

FITSErrorImage * casacore::FITSQualityImage::fitsError | ( |  | ) | const

inline

Get the FITS error.

Definition at line 123 of file FITSQualityImage.h.

References fitserror_p.

## getExtInfo()

void casacore::FITSQualityImage::getExtInfo | ( |  | ) |

private

Get the extension indices from an extension expression.

## getRegionPtr()

virtual const LatticeRegion * casacore::FITSQualityImage::getRegionPtr | ( |  | ) | const

virtual

Get the region used.

There is no region. Always returns 0.

Implements casacore::MaskedLattice< Float >.

## hasPixelMask()

virtual Bool casacore::FITSQualityImage::hasPixelMask | ( |  | ) | const

virtual

FITSQualityImage always has a pixel mask so returns True.

Reimplemented from casacore::MaskedLattice< Float >.

## imageType()

virtual String casacore::FITSQualityImage::imageType | ( |  | ) | const

virtual

Get the image type (returns FITSImage).

Implements casacore::ImageInterface< Float >.

## isMasked()

virtual Bool casacore::FITSQualityImage::isMasked | ( |  | ) | const

virtual

Has the object really a mask?

The FITSQualityImage always has a pixel mask and never has a region mask so this always returns True

Reimplemented from casacore::MaskedLattice< Float >.

## isPaged()

virtual Bool casacore::FITSQualityImage::isPaged | ( |  | ) | const

virtual

The lattice is paged to disk.

Reimplemented from casacore::LatticeBase.

## isPersistent()

virtual Bool casacore::FITSQualityImage::isPersistent | ( |  | ) | const

virtual

The lattice is persistent.

Reimplemented from casacore::LatticeBase.

## isWritable()

virtual Bool casacore::FITSQualityImage::isWritable | ( |  | ) | const

virtual

The FITSImage is not writable.

Reimplemented from casacore::LatticeBase.

## maximumCacheSize()

virtual uInt casacore::FITSQualityImage::maximumCacheSize | ( |  | ) | const

virtual

Maximum size - not necessarily all used.

In pixels.

Reimplemented from casacore::LatticeBase.

## name()

virtual String casacore::FITSQualityImage::name | ( | Bool | stripPath = False | ) | const

virtual

Returns the name of the disk file.

Implements casacore::ImageInterface< Float >.

References casacore::False.

Referenced by FITSQualityImage(), and FITSQualityImage().

## ok()

virtual Bool casacore::FITSQualityImage::ok | ( |  | ) | const

virtual

Check class invariants.

Implements casacore::ImageInterface< Float >.

## operator=()

FITSQualityImage & casacore::FITSQualityImage::operator= | ( | const FITSQualityImage & | other | ) |

Assignment (reference semantics).

References FITSQualityImage().

## pixelMask() [1/2]

virtual Lattice< Bool > & casacore::FITSQualityImage::pixelMask | ( |  | ) |

virtual

## pixelMask() [2/2]

virtual const Lattice< Bool > & casacore::FITSQualityImage::pixelMask | ( |  | ) | const

virtual

Get access to the pixelmask.

FITSQualityImage always has a pixel mask.

Reimplemented from casacore::MaskedLattice< Float >.

## qualFITSInfo()

Bool casacore::FITSQualityImage::qualFITSInfo | ( | String & | error,
|  | TableRecord & | dataExtMiscInfo,
|  | TableRecord & | errorExtMiscInfo,
|  | const TableRecord & | miscInfo )

static

Given the misc-info of a CASA image (with quality-axis) the misc-info of the data sub-image and the error sub-image are produced.

This ensures that, if written to FITS, the data and error extensions have the all necessary keywords.

References casacore::ImageInterface< Float >::miscInfo().

## reopen()

virtual void casacore::FITSQualityImage::reopen | ( |  | ) |

virtual

Reopen a temporarily closed image.

Reimplemented from casacore::LatticeBase.

## reopenDataIfNeeded()

void casacore::FITSQualityImage::reopenDataIfNeeded | ( |  | ) |

private

## reopenErrorIfNeeded()

void casacore::FITSQualityImage::reopenErrorIfNeeded | ( |  | ) |

private

## reopenIfNeeded()

void casacore::FITSQualityImage::reopenIfNeeded | ( |  | ) | const

private

Reopen the image if needed.

## resize()

virtual void casacore::FITSQualityImage::resize | ( | const TiledShape & | newShape | ) |

virtual

Function which changes the shape of the FITSQualityImage.

Throws an exception as FITSQualityImage is not writable.

Implements casacore::ImageInterface< Float >.

## setCacheSizeFromPath()

virtual void casacore::FITSQualityImage::setCacheSizeFromPath | ( | const IPosition & | sliceShape,
|  | const IPosition & | windowStart,
|  | const IPosition & | windowLength,
|  | const IPosition & | axisPath )

virtual

Set the cache size as to "fit" the indicated path.

Reimplemented from casacore::LatticeBase.

## setCacheSizeInTiles()

virtual void casacore::FITSQualityImage::setCacheSizeInTiles | ( | uInt | howManyTiles | ) |

virtual

Set the actual cache size for this Array to be be big enough for the indicated number of tiles.

This cache is not shared with PagedArrays in other rows and is always clipped to be less than the maximum value set using the setMaximumCacheSize member function. tiles. Tiles are cached using a first in first out algorithm.

Reimplemented from casacore::LatticeBase.

## setMaximumCacheSize()

virtual void casacore::FITSQualityImage::setMaximumCacheSize | ( | uInt | howManyPixels | ) |

virtual

Set the maximum (allowed) cache size as indicated.

Reimplemented from casacore::LatticeBase.

## setup()

void casacore::FITSQualityImage::setup | ( |  | ) |

private

Setup the object (used by constructors).

## shape()

virtual IPosition casacore::FITSQualityImage::shape | ( |  | ) | const

virtual

Return the shape of the FITSImage.

Implements casacore::LatticeBase.

## showCacheStatistics()

virtual void casacore::FITSQualityImage::showCacheStatistics | ( | ostream & | os | ) | const

virtual

Report on cache success.

Reimplemented from casacore::LatticeBase.

## tempClose()

virtual void casacore::FITSQualityImage::tempClose | ( |  | ) |

virtual

Temporarily close the image.

Reimplemented from casacore::LatticeBase.

## tempCloseData()

virtual void casacore::FITSQualityImage::tempCloseData | ( |  | ) |

virtual

## tempCloseError()

virtual void casacore::FITSQualityImage::tempCloseError | ( |  | ) |

virtual

## whichDataHDU()

uInt casacore::FITSQualityImage::whichDataHDU | ( |  | ) | const

inline

Return the data HDU number.

Definition at line 205 of file FITSQualityImage.h.

References whichDataHDU_p.

Referenced by FITSQualityImage().

## whichErrorHDU()

uInt casacore::FITSQualityImage::whichErrorHDU | ( |  | ) | const

inline

Return the error HDU number.

Definition at line 209 of file FITSQualityImage.h.

References whichErrorHDU_p.

Referenced by FITSQualityImage().

## Member Data Documentation

## errType_p

FITSErrorImage::ErrorType casacore::FITSQualityImage::errType_p

private

Definition at line 248 of file FITSQualityImage.h.

## fitsdata_p

FITSImage* casacore::FITSQualityImage::fitsdata_p

private

Definition at line 241 of file FITSQualityImage.h.

Referenced by fitsData().

## fitserror_p

FITSErrorImage* casacore::FITSQualityImage::fitserror_p

private

Definition at line 242 of file FITSQualityImage.h.

Referenced by fitsError().

## fullname_p

String casacore::FITSQualityImage::fullname_p

private

Definition at line 240 of file FITSQualityImage.h.

## isClosed_p

Bool casacore::FITSQualityImage::isClosed_p

private

Definition at line 249 of file FITSQualityImage.h.

## isDataClosed_p

Bool casacore::FITSQualityImage::isDataClosed_p

private

Definition at line 250 of file FITSQualityImage.h.

## isErrorClosed_p

Bool casacore::FITSQualityImage::isErrorClosed_p

private

Definition at line 251 of file FITSQualityImage.h.

## name_p

String casacore::FITSQualityImage::name_p

private

Definition at line 239 of file FITSQualityImage.h.

## pPixelMask_p

Lattice<Bool>* casacore::FITSQualityImage::pPixelMask_p

private

Definition at line 243 of file FITSQualityImage.h.

## shape_p

TiledShape casacore::FITSQualityImage::shape_p

private

Definition at line 244 of file FITSQualityImage.h.

## whichDataHDU_p

uInt casacore::FITSQualityImage::whichDataHDU_p

private

Definition at line 245 of file FITSQualityImage.h.

Referenced by whichDataHDU().

## whichErrorHDU_p

uInt casacore::FITSQualityImage::whichErrorHDU_p

private

Definition at line 246 of file FITSQualityImage.h.

Referenced by whichErrorHDU().

## whichMaskHDU_p

uInt casacore::FITSQualityImage::whichMaskHDU_p

private

Definition at line 247 of file FITSQualityImage.h.

The documentation for this class was generated from the following file:

- images/Images/FITSQualityImage.h